<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="glucosa">
        <h2 class="jh-entity-heading" data-cy="glucosaDetailsHeading">
          <span v-text="$t('gatewayApp.expedientemanualGlucosa.detail.title')">Glucosa</span> {{ glucosa.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualGlucosa.glucosaUser')">Glucosa User</span>
          </dt>
          <dd>
            <span>{{ glucosa.glucosaUser }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualGlucosa.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="glucosa.fechaRegistro">{{ $d(Date.parse(glucosa.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualGlucosa.user')">User</span>
          </dt>
          <dd>
            {{ glucosa.user ? glucosa.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="glucosa.id" :to="{ name: 'GlucosaEdit', params: { glucosaId: glucosa.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./glucosa-details.component.ts"></script>
